Desktop Persisted
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all desktop persisted folder
Persisted folders for the desktop product surface. Reuses all PersistedFolderViewSet behaviour but is scoped to the "desktop" surface, so its folders are fully isolated from the default "web" surface.
Required API key scopes
persisted_folder:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /desktop_persisted_folderExample response
Status 200
Create desktop persisted folder
Persisted folders for the desktop product surface. Reuses all PersistedFolderViewSet behaviour but is scoped to the "desktop" surface, so its folders are fully isolated from the default "web" surface.
Required API key scopes
persisted_folder:writeRequest parameters
- type
- protocolstring
- pathstring
Response
Example request
POST /api /projects /:project_id /desktop_persisted_folderExample response
Status 201
Retrieve desktop persisted folder
Persisted folders for the desktop product surface. Reuses all PersistedFolderViewSet behaviour but is scoped to the "desktop" surface, so its folders are fully isolated from the default "web" surface.
Required API key scopes
persisted_folder:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /desktop_persisted_folder /:idExample response
Status 200
Update desktop persisted folder
Persisted folders for the desktop product surface. Reuses all PersistedFolderViewSet behaviour but is scoped to the "desktop" surface, so its folders are fully isolated from the default "web" surface.
Required API key scopes
persisted_folder:writePath parameters
- idstring
Request parameters
- type
- protocolstring
- pathstring
Response
Example request
PATCH /api /projects /:project_id /desktop_persisted_folder /:idExample response
Status 200
Delete desktop persisted folder
Persisted folders for the desktop product surface. Reuses all PersistedFolderViewSet behaviour but is scoped to the "desktop" surface, so its folders are fully isolated from the default "web" surface.
Required API key scopes
persisted_folder:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /desktop_persisted_folder /:id